org.apache.mina.proxy.utils

## Class MD4Provider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - java.security.Provider
        - - org.apache.mina.proxy.utils.MD4Provider

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class MD4Provider
      extends Provider

  MD4Provider.java - A security provider that only provides a MD4 implementation.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INFO` Provider information.
    `static String` | `PROVIDER_NAME` Provider name.
    `static double` | `VERSION` Provider version.

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MD4Provider()` Default constructor that registers `MD4` as the Service Provider Interface (SPI) of the MD4 message digest algorithm.

  - ### Method Summary

    - ### Methods inherited from class java.security.Provider

      `clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, putService, remove, removeService, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_NAME

          public static final String PROVIDER_NAME

      Provider name.
      See Also:
        Constant Field Values

    - #### VERSION

          public static final double VERSION

      Provider version.
      See Also:
        Constant Field Values

    - #### INFO

          public static final String INFO

      Provider information.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MD4Provider

          public MD4Provider()

      Default constructor that registers `MD4` as the Service Provider Interface (SPI) of the MD4 message digest algorithm.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.